cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/payment-requests/{paymentRequestId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/payment-requests/{paymentRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/payment-requests/{paymentRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"paymentRequest": {
"paymentRequestId": "66f7b8b1e13c8d25f4d3d90a",
"recipientMode": "string",
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"counterpartyId": "66f7b8b1e13c8d25f4d3d90a",
"description": "Example description",
"amount": 1,
"currency": "EUR",
"status": "active",
"fulfillmentStatus": "active",
"lineItems": [
{
"kind": "string",
"productId": "66f7b8b1e13c8d25f4d3d90a",
"productType": "string",
"name": "Example name",
"description": "Example description",
"quantity": 1,
"price": 1,
"totalPrice": 1,
"vatPercentage": 1
}
],
"invoiceId": "66f7b8b1e13c8d25f4d3d90a",
"clientProductId": "66f7b8b1e13c8d25f4d3d90a",
"paidAt": "2026-07-14T10:00:00.000Z",
"cancelledAt": "2026-07-14T10:00:00.000Z",
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Payment requests
Get payment request
Requires finance_payment_requests:read.
GET
/
public
/
v1
/
finance
/
payment-requests
/
{paymentRequestId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/payment-requests/{paymentRequestId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/payment-requests/{paymentRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/payment-requests/{paymentRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"paymentRequest": {
"paymentRequestId": "66f7b8b1e13c8d25f4d3d90a",
"recipientMode": "string",
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"counterpartyId": "66f7b8b1e13c8d25f4d3d90a",
"description": "Example description",
"amount": 1,
"currency": "EUR",
"status": "active",
"fulfillmentStatus": "active",
"lineItems": [
{
"kind": "string",
"productId": "66f7b8b1e13c8d25f4d3d90a",
"productType": "string",
"name": "Example name",
"description": "Example description",
"quantity": 1,
"price": 1,
"totalPrice": 1,
"vatPercentage": 1
}
],
"invoiceId": "66f7b8b1e13c8d25f4d3d90a",
"clientProductId": "66f7b8b1e13c8d25f4d3d90a",
"paidAt": "2026-07-14T10:00:00.000Z",
"cancelledAt": "2026-07-14T10:00:00.000Z",
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"